/* FILE: mmdinit.h                 -*-Mode: c++-*-
 *
 * Commands added to Tcl/Tk interpreter (& supporting routines)
 *
 */

#ifndef _MMDINIT_H
#define _MMDINIT_H

/* End includes */     /* Optional directive to build.tcl */

int TclCommandsPreInit(char* exename,char* inputfile);
Tcl_ExitProc TclCommandsCleanup;
void Mmd_SaveServerFlag(INT2m value);
Tcl_CmdProc ChangeMesh;
Tcl_CmdProc DrawFrame;
Tcl_CmdProc GetFirstFileName;
Tcl_CmdProc GetFrameBox;
Tcl_CmdProc GetFrameRotation;
Tcl_CmdProc GetFrameScale;
Tcl_CmdProc GetMeshDescription;
Tcl_CmdProc GetMeshIncrement;
Tcl_CmdProc GetMeshName;
Tcl_CmdProc GetMeshTitle;
Tcl_CmdProc GetMeshType;
Tcl_CmdProc GetVecColor;
Tcl_CmdProc SetFrameRotation;
Tcl_CmdProc SetFrameScale;
Tcl_CmdProc SetMeshTitle;
Tcl_CmdProc UpdatePlotConfiguration;
Tcl_CmdProc WriteMesh;
int RegisterTclCommand(Tcl_Interp* interp,
		       const char* name,Tcl_CmdProc* cmd);
int Mmdisp_Init(Tcl_Interp* interp);

#endif // _MMDINIT_H
